CVE-2021-40524

NameCVE-2021-40524
DescriptionIn Pure-FTPd 1.0.49, an incorrect max_filesize quota mechanism in the server allows attackers to upload files of unbounded size, which may lead to denial of service or a server hang. This occurs because a certain greater-than-zero test does not anticipate an initial -1 value.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs993810

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pure-ftpd (PTS)stretch1.0.43-3vulnerable
buster1.0.47-3vulnerable
bookworm, bullseye, sid1.0.49-4.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pure-ftpdsource(unstable)(unfixed)993810

Notes

[bullseye] - pure-ftpd <no-dsa> (Minor issue)
[buster] - pure-ftpd <no-dsa> (Minor issue)
[stretch] - pure-ftpd <no-dsa> (Minor issue)
https://github.com/jedisct1/pure-ftpd/pull/158

Search for package or bug name: Reporting problems